.product-details {
    padding-top: var(--padding-top-desktop);
    padding-bottom: var(--padding-bottom-desktop);
    background-color: var(--background-color);
    overflow: visible;
}
.product-details *{
    color: var(--text-color);
}
.product-details-header h2.heading {
    font-size: var(--heading-size-desktop);
    line-height: 1.273;
    color: var(--heading-color);
    text-align: center;
    letter-spacing: 0;
    text-transform: capitalize;
}
.product-details-header h2.heading+.richtext {
    margin-top: 18px;
}
.product-details-header .richtext {
    font-size: var(--richtext-size-desktop);
    line-height: 1.4;
    max-width: 670px;
    margin: 0 auto;
    text-align: center;
    color: var(--richtext-color);
}
.product-details-header .richtext *{
    margin: 0;
    color: var(--richtext-color);
}
.product-details .product-details-body {
    margin-top: 50px;
}
.product-details-list ul {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  justify-content: space-between;
  gap: 6px;
  overflow: visible;
}
.product-details-list ul li {
  flex: 1 1 100%;
  max-width: var(--block-width);
  overflow: visible;
  position: relative;
}
.product-details__image-box{
  width: 100%;
  height: 100%;
  position: relative;
overflow: visible;
    z-index: 1;
}
.product-details-item{
  width: 100%;
  height: 100%;
}
.product-details__image-box img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: contain;
  position: relative;
  z-index: 1;
}
.product-details__image-box button.toggle-btn{
  position: absolute;
  width: 46px;
  height: 46px;
  border-radius: 50%;
  border: 0;
  background: rgba(0, 0, 0, 0.2);
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 2;
  top: 50%;
  right: 30%;
  transform: translate(-50%,-50%) rotate(-45deg);
  cursor: pointer;
  background: #00000050;
  color: #fff;
  transition: transform 0.4s ease;
}
.is-actived .product-details__image-box button.toggle-btn {
    transform: translate(-50%, -50%) rotate(0deg);
    transition: transform 0.4s ease;
}
/*
.product-details-list ul li.block-transition:nth-child(1) {
    transform: translateX(360%);
    position: relative;
    z-index: 8;
    background:#fff;
}
.product-details-list ul li.block-transition:nth-child(2){
    transform: translateX(530%);
    position: relative;
    z-index: 7;
    background: #fff;
    opacity: 0;
}
.product-details-list ul li.block-transition:nth-child(3){
    transform: translateX(190%);
    position: relative;
    z-index: 6;
    background: #fff;
    opacity: 0;
}
.product-details-list ul li.block-transition:nth-child(4){
    transform: translateX(30%);
    position: relative;
    z-index: 5;
    background: #fff;
    opacity: 0;
}
.product-details-list ul li.block-transition:nth-child(5){
    transform: translateX(-100%);
    position: relative;
    z-index: 4;
    background: #fff;
    opacity: 0;
}
.product-details-list ul li.block-transition:nth-child(6){
    transform: translateX(-210%);
    position: relative;
    z-index: 3;
    background: #fff;
    opacity: 0;
}
.product-details-list ul li.block-transition:nth-child(7){
    transform: translateX(-300%);
    position: relative;
    z-index: 2;
    background: #fff;
    opacity: 0;
}
.product-details-list ul li.block-transition:nth-child(8){
    transform: translateX(-394%);
    position: relative;
    z-index: 1;
    background: #fff;
    opacity: 0;
}
.active .product-details-list ul li.block-transition {
    transform: translateX(0%);
    position: relative;
    z-index: unset;
    background: transparent;
    transition: transform 0.8s ease;
    opacity: 1;
}
*/
.product-details-body li.block-transition {
    opacity: 0;
    transform: translateY(150px);
    transition: opacity 0.6s ease, transform 0.6s ease;
}
.product-details-body li.block-transition.is-visible {
    opacity: 1;
    transform: translateY(0);
    z-index: unset;
}
.product-details-list ul li:nth-child(2) .product-details__image-box button.toggle-btn {
    top: 60%;
    left: 50%;
}
.product-details-list ul li:nth-child(3) .product-details__image-box button.toggle-btn {
    top: 28.5%;
    right: 2%;
}
.product-details-list ul li:nth-child(4) .product-details__image-box button.toggle-btn {
    right: 25%;
    bottom: 23%;
    top: unset;
}
.product-details-list ul li:nth-child(5) .product-details__image-box button.toggle-btn {
    right: 6%;
    top: 29%;
}
.product-details-list ul li:nth-child(6) .product-details__image-box button.toggle-btn {
    right: 4%;
    top: 48%;
}
.product-details-list ul li:nth-child(7) .product-details__image-box button.toggle-btn {
    right: -5%;
    top: 43%;
}
.product-details__image-box button.toggle-btn svg{
  width: 20px;
  height: 20px;
}   
.product-details-list ul li:nth-child(8) .product-details__image-box button.toggle-btn {
    top: unset;
    bottom: 16%;
    right: 7%;
}
.product-details-popup {
    position: absolute;
    width: 386px;
    border-radius: 8px 8px 8px 8px;
    border: 1px solid #A9A9A9;
    background: #F0F0F030;
    backdrop-filter: blur(20px) saturate(160%);
    -webkit-backdrop-filter: blur(20px) saturate(160%);
    padding: 22px;
    z-index: 99999;
    opacity: 0;
    visibility: hidden;
    transition: transform 0.4s ease;
}
.is-actived .product-details-popup {
    opacity: 1;
    visibility: visible;
    transition: transform 0.4s ease;
}

.product-details-popup h2 {
    font-size: 24px;
    line-height: 1.3;
}
.product-details-popup .text {
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0;
    margin-top: 14px;
}
.product-details-popup .text p {
    margin: 0;
}
.product-details-list ul li:nth-child(2) .product-details-popup {
    bottom: -3%;
    left: -120%;
}
.product-details-list ul li:nth-child(3) .product-details-popup {
    left: -140%;
    top: -5%;
}
.product-details-list ul li:nth-child(4) .product-details-popup {
    bottom: -20%;
    right: -20%;
}
.product-details-list ul li:nth-child(5) .product-details-popup {
    right: 70%;
    top: 3%;
}
.product-details-list ul li:nth-child(6) .product-details-popup {
    bottom: 14%;
    right: -80%;
}
.product-details-list ul li:nth-child(7) .product-details-popup {
    right: -40%;
    top: -4%;
}
.product-details-list ul li:nth-child(8) .product-details-popup {
    bottom: -19%;
    right: 0%;
}
.product-details__image.mobile-view {
    display: none !Important;
}

@media(max-width:1440px){
    .product-details-list ul li:nth-child(3) .product-details__image-box button.toggle-btn {
        top: 37.5%;
        right: 20%;
    }
}
@media(max-width:1024px){
    .product-details-list ul {
        flex-direction: column;
        gap: 0;
    }
    .product-details-list {
        max-width: 300px;
        margin: 0 auto;
    }
    /*
    .product-details-list ul li.block-transition:nth-child(1),
    .product-details-list ul li.block-transition:nth-child(2),
    .product-details-list ul li.block-transition:nth-child(3),
    .product-details-list ul li.block-transition:nth-child(4),
    .product-details-list ul li.block-transition:nth-child(5),
    .product-details-list ul li.block-transition:nth-child(6),
    .product-details-list ul li.block-transition:nth-child(7),
    .product-details-list ul li.block-transition:nth-child(8){
        transform: translateX(0%);
        background: transparent;
        opacity: 1;
    }*/
    .product-details-list ul li {
        max-width: var(--block-width-mobile);
    }
    .product-details__image.desktop-view{
        display: none !Important;
    }
    .product-details__image.mobile-view {
        display: block !Important;
    }
    .product-details-list ul li:nth-child(1),
    .product-details-list ul li:nth-child(2) {
        margin: 0 auto;
    }
    .product-details-list ul li:nth-child(3),
    .product-details-list ul li:nth-child(5),
    .product-details-list ul li:nth-child(7) {
        margin-left: auto;
    }
    .product-details-list ul li:nth-child(4),
    .product-details-list ul li:nth-child(6),
    .product-details-list ul li:nth-child(8) {
        margin-right: auto;
    }
    .product-details__image-box button.toggle-btn {
        width: 26px;
        height: 26px;
    }
    .product-details__image-box button.toggle-btn svg {
        width: 16px;
        height: 16px;
    }
    .product-details-list ul li:nth-child(2) .product-details__image-box button.toggle-btn {
        top: 50%;
        left: unset;
        right: 0;
    }
    .product-details-list ul li:nth-child(3) .product-details__image-box button.toggle-btn {
        top: 44%;
        right: 17px;
    }
    .product-details-list ul li:nth-child(4) .product-details__image-box button.toggle-btn {
        right: unset;
        bottom: 10%;
        top: unset;
        left: 40%;
    }
    .product-details-list ul li:nth-child(5) .product-details__image-box button.toggle-btn {
        right: 9%;
        top: 56%;
    }
    .product-details-list ul li:nth-child(6) .product-details__image-box button.toggle-btn {
        right: unset;
        top: 68%;
        left: 20%;
    }
    .product-details-list ul li:nth-child(7) .product-details__image-box button.toggle-btn {
        right: 15%;
        top: 20%;
    }
    .product-details-list ul li:nth-child(8) .product-details__image-box button.toggle-btn {
        top: unset;
        bottom: 26%;
        right: unset;
        left: 16%;
    }
    .product-details-popup {
        width: 270px;
        border-radius: 4px;
        padding: 11px 16px;
    }
    .product-details-popup h2 {
        font-size: 16px;
        line-height: 1.313;
    }
    .product-details-popup .text {
        font-size: 12px;
        line-height: 1.3;
        letter-spacing: 0;
        margin-top: 7px;
    }
    .product-details-list ul li:nth-child(2) .product-details-popup {
        bottom: unset;
        left: -67%;
        top: -190%;
    }
    .product-details-list ul li:nth-child(3) .product-details-popup {
        left: -98%;
        top: -6%;
    }
    .product-details-list ul li:nth-child(4) {
        margin-top: 35px;
        margin-bottom: 30px;
    }
    .product-details-list ul li:nth-child(4) .product-details-popup {
        bottom: unset;
        top: -6%;
        right: -55%;
    }
    .product-details-list ul li:nth-child(5) .product-details-popup {
        right: 32%;
        top: -50%;
    }
    .product-details-list ul li:nth-child(6) {
        margin-top: 24px;
        margin-bottom: 40px;
    }
    .product-details-list ul li:nth-child(6) .product-details-popup {
        bottom: -4%;
        right: -60%;
    }
    .product-details-list ul li:nth-child(7) {
        margin-bottom: 24px;
    }
    .product-details-list ul li:nth-child(7) .product-details-popup {
        right: 50%;
        top: -10%;
    }
    .product-details-list ul li:nth-child(8) .product-details-popup {
        bottom: 6%;
        right: unset;
        left: 33%;
    }
    
}

@media(max-width:767px){
    .product-details {
        padding-top: var(--padding-top-mobile);
        padding-bottom: var(--padding-bottom-mobile);
    }
    .product-details-header h2.heading {
        font-size: var(--heading-size-mobile);
    }
    .product-details-header h2.heading+.richtext {
        margin-top: 12px;
    }
    .product-details-header h2.heading+.richtext {
        font-size: var(--richtext-size-mobile);
    }
    .product-details .product-details-body {
        margin-top: 35px;
    }
}

@media(max-width:480px) {
    .product-details-list ul li:nth-child(7) .product-details-popup {
        right: 40%;
        top: -10%;
    }
}

@media(max-width:400px){
    .product-details-popup {
        width: 71vmin;
    }
    .product-details-list ul li:nth-child(2) .product-details-popup {
        left: -50%;
    }
    .product-details-list ul li:nth-child(3) .product-details-popup {
        left: -90%;
    }
    .product-details-list ul li:nth-child(4) .product-details-popup {
        right: -25%;
    }
    .product-details-list ul li:nth-child(5) .product-details-popup {
        right: 22%;
        top: -75%;
    }
    .product-details-list ul li:nth-child(3) .product-details__image-box button.toggle-btn {
        right: 10px;
    }
    .product-details-list ul li:nth-child(4) .product-details__image-box button.toggle-btn {
        bottom: 20%;
    }
    .product-details-list ul li:nth-child(5) .product-details__image-box button.toggle-btn {
        right: 3%;
        top: 61%;
    }
    .product-details-list ul li:nth-child(6) .product-details-popup {
        bottom: 49%;
        right: -37%;
    }
    .product-details-list ul li:nth-child(7) .product-details-popup {
        right: 15%;
        top: -51%;
    }
    .product-details-list ul li:nth-child(7) .product-details__image-box button.toggle-btn {
        right: 15%;
        top: 80%;
    }
    .product-details-list ul li:nth-child(8) .product-details-popup {
        bottom: -54%;
        right: unset;
        left: 8%;
    }
}

